import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkErrorEventContainer {
    storeUnsubscribe?: Unsubscribe;
    el: HTMLBpSdkErrorEventContainerElement;
    /**
     * Function hook that will be called with SDK Errors that get thrown
     */
    errorHandler: (error: Error) => void | undefined;
    /**
     * Debug flag injected from redux store
     */
    isDebug: boolean;
    /**
     * Emits DOM event with any SDK errors that are thrown
     */
    sdkError: EventEmitter<{
        error: Error;
    }>;
    handleError: (ev: ErrorEvent) => void;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        isDebug: boolean;
    };
    disconnectedCallback(): void;
    render(): any;
}
